# $Revision: 1.46 $, $Date: 2008/08/02 22:52:45 $
%include	/usr/lib/rpm/macros.perl
Summary:	Ming - an SWF output library
Summary(pl.UTF-8):	Ming - biblioteka do produkcji plików SWF
Name:		ming
Version:	0.3.0
Release:	5
License:	LGPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/ming/%{name}-%{version}.tar.gz
# Source0-md5:	56b29eeb4fdd0b98c9ee62e25d14841d
Source1:	http://dl.sourceforge.net/ming/%{name}-perl-%{version}.tar.gz
# Source1-md5:	506acca9ca42066a97fc0b6abad6d57a
Source2:	http://dl.sourceforge.net/ming/%{name}-py-%{version}.tar.gz
# Source2-md5:	96d3f42f13d020d907287a640b39ec46
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-build.patch
Patch2:		%{name}-perl-shared.patch
URL:		http://ming.sourceforge.net/
BuildRequires:	giflib-devel
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	rpm-perlprov >= 4.0.2-24
BuildRequires:	rpm-pythonprov
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ming is a C library for generating SWF ("Flash") format movies, plus a
set of wrappers for using the library from c++ and popular scripting
languages like PHP, Python, and Ruby.

%description -l pl.UTF-8
Ming jest biblioteką w C do generowania animacji w formacie SWF
("Flash") wraz z zestawem wrapperów do używania jej z C++ i
popularnymi językami skryptowymi, takimi jak PHP, Python i Ruby.

%package devel
Summary:	Ming development files
Summary(pl.UTF-8):	Pliki dla programistów Ming
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	giflib-devel

%description devel
Header files for ming library (C and C++).

%description devel -l pl.UTF-8
Pliki nagłówkowe dla biblioteki ming (do C i C++).

%package static
Summary:	Ming static library
Summary(pl.UTF-8):	Statyczna biblioteka Ming
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Ming library.

%description static -l pl.UTF-8
Statyczna biblioteka Ming.

%package utils
Summary:	Ming utilities
Summary(pl.UTF-8):	Narzędzia Ming
Group:		Applications/File

%description utils
Ming utilities:
- listswf - swf format disassembler
- listfdb - show contents of fdb font file
- makefdb - rip fdb font definition files out of a generator template
  file
- swftophp - attempt to make a php/ming script out of an swf file

%description utils -l pl.UTF-8
Narzędzia Ming:
- listswf - disasembler plików swf
- listfdb - pokazuje zawartość plików fontów fdb
- makefdb - wyciąga pliki definicji fontów fdb z pliku generatora
- swftophp - próbuje zrobić skrypt php/ming z pliku swf

%package -n perl-ming
Summary:	Ming perl module
Summary(pl.UTF-8):	Moduł perla Ming
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}-%{release}
Obsoletes:	ming-perl

%description -n perl-ming
Ming perl module - perl wrapper for Ming library.

%description -n perl-ming -l pl.UTF-8
Moduł perla Ming - perlowy wrapper do biblioteki Ming.

%package -n python-ming
Summary:	Ming Python module
Summary(pl.UTF-8):	Moduł biblioteki Ming dla języka Python
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}-%{release}
%pyrequires_eq	python-libs

%description -n python-ming
Ming Python module.

%description -n python-ming -l pl.UTF-8
Moduł biblioteki Ming dla języka Python.

%prep
%setup -q -b1 -b2
%patch0 -p1
%patch1 -p1
%patch2 -p1

ln -s src/ming.h

%build
%configure
%{__make} -j1

cd perl_ext
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"
cd ..

%{__make} -C py_ext \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" \
	PYINCDIR=%{py_incdir}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
chmod +x $RPM_BUILD_ROOT%{_libdir}/libming.so.0.3.0

%{__make} -C perl_ext pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} -C py_ext install \
	PREFIX="--optimize=2 --root=$RPM_BUILD_ROOT"

rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/SWF/.cvsignore
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/SWF/.packlist
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/SWF/include/libming.a
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/SWF/include/ming.h
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/SWF/include/perl_swf.h
rm -f $RPM_BUILD_ROOT%{py_sitedir}/ming*.py

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CREDITS README TODO
%attr(755,root,root) %{_libdir}/libming.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libming.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libming.so
%{_includedir}/ming.h
%{_includedir}/mingpp.h
%{_includedir}/ming_config.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libming.a

%files utils
%defattr(644,root,root,755)
%doc util/{README,TODO}
%attr(755,root,root) %{_bindir}/dbl2png
%attr(755,root,root) %{_bindir}/gif2dbl
%attr(755,root,root) %{_bindir}/gif2mask
%attr(755,root,root) %{_bindir}/listaction
%attr(755,root,root) %{_bindir}/listaction_d
%attr(755,root,root) %{_bindir}/listfdb
%attr(755,root,root) %{_bindir}/listjpeg
%attr(755,root,root) %{_bindir}/listmp3
%attr(755,root,root) %{_bindir}/listswf
%attr(755,root,root) %{_bindir}/listswf_d
%attr(755,root,root) %{_bindir}/makefdb
%attr(755,root,root) %{_bindir}/makeswf
%attr(755,root,root) %{_bindir}/ming-config
%attr(755,root,root) %{_bindir}/png2dbl
%attr(755,root,root) %{_bindir}/png2swf
%attr(755,root,root) %{_bindir}/raw2adpcm
%attr(755,root,root) %{_bindir}/swftoperl
%attr(755,root,root) %{_bindir}/swftophp
%attr(755,root,root) %{_bindir}/swftopython
%{_mandir}/man1/makeswf.1*

%files -n perl-ming
%defattr(644,root,root,755)
%doc perl_ext/{README,TODO}
%{perl_vendorarch}/SWF.pm
%{perl_vendorarch}/SWF
%dir %{perl_vendorarch}/auto/SWF
%{perl_vendorarch}/auto/SWF/SWF.bs
%attr(755,root,root) %{perl_vendorarch}/auto/SWF/SWF.so
%{_mandir}/man3/SWF*

%files -n python-ming
%defattr(644,root,root,755)
%doc py_ext/{README,TODO}
%attr(755,root,root) %{py_sitedir}/_mingc.so
%{py_sitedir}/ming*.py[co]
%{py_sitedir}/mingc-*.egg-info

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ming.spec,v $
Revision 1.46  2008/08/02 22:52:45  sls
- ming-devel R: giflib-devel
- fixed last commit message

Revision 1.45  2008/08/02 22:12:11  sls
- find-requires needs chmod +x libming
- rel. 5

Revision 1.44  2008/02/25 01:07:33  glen
- fix this broken build

Revision 1.43  2008-02-24 23:51:39  glen
- release 3

Revision 1.42  2007-09-04 14:18:20  baggins
- rel 2

Revision 1.41  2007/02/22 12:34:38  qrczak
- Source MD5 were wrong.

Revision 1.40  2007/02/16 22:28:40  qboosh
- (re)added perl and python bindings (from separate sources; in the same spec as
  they refer to ming sources on build)
- added perl-shared patch to use shared libming in perl module

Revision 1.39  2007/02/16 20:24:00  qboosh
- pl for -static

Revision 1.38  2007/02/16 20:07:12  qboosh
- ghost for soname symlink

Revision 1.37  2007/02/13 06:46:54  glen
- tabs in preamble

Revision 1.36  2007/02/12 00:49:07  baggins
- converted to UTF-8

Revision 1.35  2007/02/11 17:06:52  arekm
- rel 1

Revision 1.34  2007/02/09 16:58:52  glen
- 0.3.0
- new url, php and perl extensions distributed elsewhere
- add -static
- note does not build 100% on ac (random gcc errors)

Revision 1.33  2007/01/28 11:24:21  arekm
- package symlinks

Revision 1.32  2007/01/27 22:43:18  arekm
- rel 12

Revision 1.31  2006/08/28 09:30:17  glen
- check-files cleanup

Revision 1.30  2006/08/10 07:05:30  arekm
- rel 11; link with -lm

Revision 1.29  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.28  2004/12/25 15:47:14  saq
- release 10 for rebuild with python 2.4

Revision 1.27  2004/09/25 11:20:53  radek
- cosmetics (spaces -> tabs)

Revision 1.26  2004/07/28 08:03:14  troll
- removed %include /usr/lib/rpm/macros.python

Revision 1.25  2004/06/05 08:30:18  qboosh
- added types patch (fixes crash on 64-bit archs); release 9

Revision 1.24  2004/01/29 21:13:34  undefine
- fix build on amd64, release 8

Revision 1.23  2003/07/26 16:12:37  wrobell
- fixed python module install requirements

Revision 1.22  2003/07/23 13:08:15  qboosh
- think - add -fPIC only where needed
- modified python patch, added optflags for py_ext

Revision 1.21  2003/07/19 14:48:54  djrzulf
- now compile on alpha,

Revision 1.20  2003/05/25 11:00:55  malekith
- massive attack, adding Source-md5

Revision 1.19  2003/05/25 05:50:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.18  2003/03/02 21:25:14  radek
- updated for perl-5.8; release 7

Revision 1.17  2003/02/28 10:08:01  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.16  2002/12/19 17:32:42  qboosh
- added c++ fix for wrong type in addString wrapper function; release 6

Revision 1.15  2002/10/14 09:37:07  qboosh
- removed README.rb_ext (it was for not packaged yet ruby module and contained only
  build information for that module)

Revision 1.14  2002/10/14 09:11:22  kloczek
- typo.

Revision 1.13  2002/10/14 08:12:49  kloczek
- release 5: fix %install_post bug (duplicated REEADME files in %doc).

Revision 1.12  2002/10/12 16:26:20  wrobell
- added python module
- new doc
- rel. 4

Revision 1.11  2002/03/07 12:32:12  misiek
- removed php module (it's in php package)

Revision 1.10  2002/02/22 23:29:16  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/01/18 02:13:50  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2002/01/02 17:31:06  kloczek
- release 2.

Revision 1.7  2002/01/02 17:25:53  kloczek
- more changes for "-n perl-ming".

Revision 1.6  2002/01/02 17:19:20  kloczek
- changed perl package name to "-n perl-ming".

Revision 1.5  2001/10/25 09:08:36  qboosh
- changed SWF.so perms to 755

Revision 1.4  2001/10/24 22:39:23  qboosh
- updated to 0.2a, added devel,perl,php,utils subpackages
  TODO: python, ruby, java extensions?
- soname patch to fix libming SONAME
- dynamic-exts patch to link extensions with libming dynamically

Revision 1.3  2001/07/26 05:11:13  agaran
- changed group

Revision 1.2  2001/05/02 21:51:24  qboosh
- adapterized and made spec %debug ready or added using %rpm*flags macros
